CUTLASS: cutlass::NumericArrayConverter< T, S, N, Round > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
cutlass::NumericArrayConverter< T, S, N, Round > Struct Template Reference

Conversion operator for Array.

`#include <numeric_conversion.h>`

## Public Types
using | result_type = Array< T, N >
using | source_type = Array< S, N >

## Public Member Functions
CUTLASS_HOST_DEVICE result_type | operator() (source_type const &s)

## Static Public Member Functions
static CUTLASS_HOST_DEVICE result_type | convert (source_type const &s)

## Static Public Attributes
static FloatRoundStyle const | round_style = Round

## Member Typedef Documentation

template<typename T, typename S, int N, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

using cutlass::NumericArrayConverter< T, S, N, Round >::result_type = Array<T, N>

template<typename T, typename S, int N, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

using cutlass::NumericArrayConverter< T, S, N, Round >::source_type = Array<S, N>

## Member Function Documentation

template<typename T, typename S, int N, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

static CUTLASS_HOST_DEVICE result_type cutlass::NumericArrayConverter< T, S, N, Round >::convert | ( | source_type const & | s | ) |
| inlinestatic

template<typename T, typename S, int N, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

CUTLASS_HOST_DEVICE result_type cutlass::NumericArrayConverter< T, S, N, Round >::operator() | ( | source_type const & | s | ) |
| inline

## Member Data Documentation

template<typename T, typename S, int N, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

FloatRoundStyle const cutlass::NumericArrayConverter< T, S, N, Round >::round_style = Round
| static

The documentation for this struct was generated from the following file:

- numeric_conversion.h